Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027615
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Layaway ordermajoralways2014-09-16 15:542015-01-30 11:21
ReportersureshbabuView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRR14Q4
StatusclosedFix in branchpiFixed in SCM revision801dc53b3265
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression levelQA functional test
Regression date2014-05-29
Regression introduced in releaseRR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/db9a35e2b7ec4791d544e83aca3bec2235dc3ea4 [^]
Triggers an Emergency PackNo
Summary

0027615: [Live builds] when a layaway order is partially paid, the Received amount wrongly shows as expected amount and outstanding as 0

Description[Live builds] when a Layaway order is partially paid(receipt amount is 549.50 and paid amount is 274.75, in the backend(ERP) at sales order window at Payment plan or Payment details tab, the Received amount wrongly shows as 549.50 instead of 274.75 and outstanding amount field wrongly showing as 0 instead of 274.75
Steps To Reproduce1) create a Layaway order for 549.50
Alpine skiing backpack 27L
Ordered Quantity : 5
2) Then reopen the above created layaway order using Layaway option and do a partial payment of 274.75 and then click the Layaway button to Layaway the order again.
3) Go to the backend and check the sales order which is created for the above created Layaway order from web pos

Defect:

At Payment plan and Payment details tab, the

Received amount wrongly shows as 549.50 instead of 274.75 and
Outstanding wrongly showing as 0 instead of 274.75

TagsNo tags attached.
Attached Filespng file icon when a partial payment is made for Layaway order, in ERP system wrongly shows received as same as expected amount instead of paid amount.png [^] (138,819 bytes) 2014-09-16 15:54

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0027898 closedmigueldejuana Layaways are set as completely paid when it should not be set 

-  Notes
(0070315)
hgbot (developer)
2014-09-24 16:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 61c5b69c6a5d50279960dec7c27839de056fa358
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 24 16:00:56 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c5b69c6a5d50279960dec7c27839de056fa358 [^]

Fixed issue 0027615: when a layaway order is partially paid, the Received amount wrongly shows as expected amount and outstanding as 0

Sometimes, we do not how, some order are not fully paid when they should and we fully pay them. In order to avoid layaway cases we look a wrong isLayaway variable.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0070579)
marvintm (developer)
2014-09-30 19:50

The case described in the steps to reproduce works correctly.

However, when a layaway is created and immediately partially paid, and then synchronized, then it doesn't work. So in this case:
- Create the layaway.
- Add a partial payment.
- Then click on "Layaway" button.

Then the payment plan information is still wrong.
(0070602)
hgbot (developer)
2014-10-01 09:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 801dc53b32652a8ce4c42ecee6709e3c220ba097
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Oct 01 09:45:24 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/801dc53b32652a8ce4c42ecee6709e3c220ba097 [^]

Fixed issue 0027615: [Live builds] when a layaway order is partially paid, the Received amount wrongly shows as expected amount and outstanding as 0

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0073938)
hgbot (developer)
2015-01-30 11:21

Repository: tools/automation/pi-mobile
Changeset: b933247870bd19a5f9d8a32367d75dfbb8c4077f
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Thu Jan 29 21:47:54 2015 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/b933247870bd19a5f9d8a32367d75dfbb8c4077f [^]

Related to issue 27615: Added the 'I27615_PartiallyPaidLayaway' tests

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/suites/SalesSuite.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I27615_PartiallyPaidLayaway.java
---

- Issue History
Date Modified Username Field Change
2014-09-16 15:54 sureshbabu New Issue
2014-09-16 15:54 sureshbabu Assigned To => marvintm
2014-09-16 15:54 sureshbabu File Added: when a partial payment is made for Layaway order, in ERP system wrongly shows received as same as expected amount instead of paid amount.png
2014-09-16 15:54 sureshbabu Regression level => QA functional test
2014-09-16 15:54 sureshbabu Regression introduced in release => pi
2014-09-16 15:54 sureshbabu Triggers an Emergency Pack => No
2014-09-24 15:53 migueldejuana Regression introduced in release pi => RR14Q3
2014-09-24 15:53 migueldejuana Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/db9a35e2b7ec4791d544e83aca3bec2235dc3ea4 [^]
2014-09-24 16:01 hgbot Checkin
2014-09-24 16:01 hgbot Note Added: 0070315
2014-09-24 16:01 hgbot Status new => resolved
2014-09-24 16:01 hgbot Resolution open => fixed
2014-09-24 16:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c5b69c6a5d50279960dec7c27839de056fa358 [^]
2014-09-30 19:50 marvintm Note Added: 0070579
2014-09-30 19:50 marvintm Status resolved => new
2014-09-30 19:50 marvintm Resolution fixed => open
2014-10-01 09:45 hgbot Checkin
2014-10-01 09:45 hgbot Note Added: 0070602
2014-10-01 09:45 hgbot Status new => resolved
2014-10-01 09:45 hgbot Resolution open => fixed
2014-10-01 09:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c5b69c6a5d50279960dec7c27839de056fa358 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/801dc53b32652a8ce4c42ecee6709e3c220ba097 [^]
2014-10-01 14:54 marvintm Review Assigned To => marvintm
2014-10-01 14:54 marvintm Status resolved => closed
2014-10-01 14:54 marvintm Fixed in Version => RR14Q4
2014-10-01 16:06 plujan Regression date => 2014-05-29
2014-10-02 15:01 migueldejuana Assigned To marvintm => migueldejuana
2014-10-02 15:01 migueldejuana Status closed => new
2014-10-02 15:01 migueldejuana Resolution fixed => open
2014-10-02 15:01 migueldejuana Fixed in Version RR14Q4 =>
2014-10-02 15:01 migueldejuana Status new => scheduled
2014-10-02 15:01 migueldejuana fix_in_branch => pi
2014-10-02 15:02 migueldejuana Status scheduled => resolved
2014-10-02 15:02 migueldejuana Fixed in Version => RR14Q4
2014-10-02 15:02 migueldejuana Resolution open => fixed
2014-10-02 18:53 marvintm Status resolved => closed
2014-10-17 14:10 migueldejuana Relationship added has duplicate 0027898
2015-01-30 11:21 hgbot Checkin
2015-01-30 11:21 hgbot Note Added: 0073938


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker